Returns a list of accounts receivable documents - invoices, quotes, and credit notes - of the specified entity.
Results can be filtered by amount, counterpart, due date, and other criteria. Multiple filters are combined using logical AND unless specified otherwise. If no documents matching the search criteria are found, the endpoint returns a successful response with an empty data array.
This endpoint supports pagination and sorting. By default, results are sorted by the creation date in ascending order (from oldest to newest).
Get all overdue invoices:
Get all invoices created for the counterpart named “Solarwind” (case-insensitive):
Get invoices whose total amount starts from 500 EUR:
Get invoices that are due for payment in September 2024:
Note: This will only return invoices with a set due date. Invoices without due dates are excluded from date range filters.
Get invoices without a due date:
Get invoices with any due date (excluding those without due dates):
Get invoices created on or after September 1, 2024:
Find an invoice created from a specific quote:
Get the latest created quote:
Get the latest issued quote:
Find all credit notes created for a specific invoice:
Bearer authentication of the form Bearer <token>, where token is your auth token.
Sort order (ascending by default). Typically used together with the sort parameter.
A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters except limit are ignored and inferred from the initial query.
If not specified, the first page of results will be returned.
Return only receivables with the specified IDs. Valid but nonexistent IDs do not raise errors but produce no results.
To specify multiple IDs, repeat this parameter for each value:
id__in=<id1>&id__in=<id2>
The field to sort the results by. Typically used together with the order parameter.
Return only receivables whose project_id include at least one of the project_id with the specified IDs. Valid but nonexistent project IDs do not raise errors but produce no results.
Return a receivable with the exact specified document number (case-sensitive). The document_id is the user-facing document number such as INV-00042, not to be confused with Monite resource IDs (id).
Return only receivables whose document number (document_id) contains the specified string (case-sensitive).
Return only receivables whose document number (document_id) contains the specified string (case-insensitive).
Return only non-draft receivables that were issued after the specified date and time. The value must be in the ISO 8601 format YYYY-MM-DDThh:mm[:ss][Z|±hh:mm]. The milliseconds part of the value is ignored.
Return only non-draft receivables that were issued before the specified date and time. The milliseconds part of the value is ignored.
Return only non-draft receivables that were issued on or after the specified date and time. The milliseconds part of the value is ignored.
Return only non-draft receivables that were issued before or on the specified date and time. The milliseconds part of the value is ignored.
Return only receivables created after the specified date and time. The value must be in the ISO 8601 format YYYY-MM-DDThh:mm[:ss][Z|±hh:mm]. The milliseconds part of the value is ignored.
Return only receivables created for counterparts with the specified name (exact match, case-sensitive). For counterparts of type = individual, the full name is formatted as first_name last_name.
Return only receivables created for counterparts whose name contains the specified string (case-sensitive).
Return only receivables created for counterparts whose name contains the specified string (case-insensitive).
Return only receivables whose total amount (in minor units) exceeds the specified value.
Return only receivables whose total amount (in minor units) is less than the specified value.
Return only receivables whose total amount (in minor units) is greater than or equal to the specified value.
Return only receivables whose total amount (in minor units) is less than or equal to the specified value.
Return only receivables whose discounted subtotal (in minor units) is greater than the specified value.
Return only receivables whose discounted subtotal (in minor units) is less than the specified value.
Return only receivables whose discounted subtotal (in minor units) is greater than or equal to the specified value.
Return only receivables whose discounted subtotal (in minor units) is less than or equal to the specified value.
Return receivables whose due date is after the specified date (exclusive, YYYY-MM-DD).
This filter includes invoices and credit notes (only those with a due date) and excludes quotes.
Return receivables whose due date is before the specified date (exclusive, YYYY-MM-DD).
This filter includes invoices and credit notes (only those with a due date) and excludes quotes.
Return receivables whose due date is on or after the specified date (YYYY-MM-DD).
This filter includes invoices and credit notes (only those with a due date) and excludes quotes.
Return receivables whose due date is before or on the specified date (YYYY-MM-DD).
This filter includes invoices and credit notes (only those with a due date) and excludes quotes.
If true, returns only invoices and credit notes that have the due_date defined.
If false, returns receivables (invoices, quotes, credit notes) without a due_date.
If omitted (default), all receivables are included.
Searches for the specified substring in the counterpart_name and document_id fields in receivables. The search is case-insensitive and allows partial matches. For example, abc will match 12-ABCD.
A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).
A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).
The number of items (0 .. 250) to return in a single page of the response. Default is 100. The response may contain fewer items if it is the last or only page.
When using pagination with a non-default limit, you must provide the limit value alongside pagination_token in all subsequent pagination requests. Unlike other query parameters, limit is not inferred from pagination_token.
Return only receivables that have the specified statuses. See the applicable invoice statuses, quote statuses, and credit note statuses.
To specify multiple statuses, repeat this parameter for each value:
status__in=draft&status__in=issued
Return only receivables created by the entity users with the specified IDs.To specify multiple user IDs, repeat this parameter for each ID:
entity_user_id__in=<user1>&entity_user_id__in=<user2>
If the request is authenticated using an entity user token, this user must have the receivable.read.allowed (rather than allowed_for_own) permission to be able to query receivables created by other users.
IDs of deleted users will still produce results here if those users had associated receivables. Valid but nonexistent user IDs do not raise errors but produce no results.
Return only receivables whose tags include at least one of the tags with the specified IDs.
For example, given receivables with the following tags:
tag_ids__in=<tagA>&tag_ids__in=<tagB> will return receivables 1, 2, 3, and 5.
Valid but nonexistent tag IDs do not raise errors but produce no results.
Return only receivables whose tags include all of the tags with the specified IDs and optionally other tags that are not specified.
For example, given receivables with the following tags:
tag_ids=<tagA>&tag_ids=<tagB> will return receivables 3 and 5.
Return only receivables whose line items include at least one of the product IDs with the specified IDs.
To specify multiple product IDs, repeat this parameter for each ID:
product_ids__in=<product1>&product_ids__in=<product2>
For example, given receivables with the following product IDs:
product_ids__in=<productA>&product_ids__in=<productB> will return receivables 1, 2, 3, and 5.Valid but nonexistent product IDs do not raise errors but produce no results.
Return only receivables whose line items include all of the product IDs with the specified IDs and optionally other products that are not specified.
To specify multiple product IDs, repeat this parameter for each ID:
product_ids=<product1>&product_ids=<product2>
For example, given receivables with the following product IDs:
product_ids=<productA>&product_ids=<productB> will return receivables 3 and 5.
Return only receivables with the exact specified total amount. The amount must be specified in the minor units of currency. For example, $12.5 is represented as 1250.”
Return only receivables with the exact specified discounted subtotal. The amount must be specified in the minor units of currency. For example, $12.5 is represented as 1250.
Return only receivables that have the specified status. See the applicable invoice statuses, quote statuses, and credit note statuses.
To query multiple statuses at once, use the status__in parameter instead.
Return only receivables created by the entity users with the specified IDs. To specify multiple user IDs, repeat this parameter for each ID:
entity_user_id__in=<user1>&entity_user_id__in=<user2>
If the request is authenticated using an entity user token, this user must have the receivable.read.allowed (rather than allowed_for_own) permission to be able to query receivables created by other users.
IDs of deleted users will still produce results here if those users had associated receivables. Valid but nonexistent user IDs do not raise errors but produce no results.
This parameter accepts a quote ID or an invoice ID.
Valid but nonexistent IDs do not raise errors but produce no results.